/**
 * ========= CONFIDENTIAL =========
 *
 * Copyright (C) 2012 enStratus Networks Inc - ALL RIGHTS RESERVED
 *
 * ====================================================================
 *  NOTICE: All information contained herein is, and remains the
 *  property of enStratus Networks Inc. The intellectual and technical
 *  concepts contained herein are proprietary to enStratus Networks Inc
 *  and may be covered by U.S. and Foreign Patents, patents in process,
 *  and are protected by trade secret or copyright law. Dissemination
 *  of this information or reproduction of this material is strictly
 *  forbidden unless prior written permission is obtained from
 *  enStratus Networks Inc.
 * ====================================================================
 */
package org.dasein.cloud.openstack.nova.ec2.network;

import org.dasein.cloud.network.AbstractNetworkServices;
import org.dasein.cloud.openstack.nova.ec2.NovaEC2;

import javax.annotation.Nonnull;

/**
 * Implementation of network services for the Nova EC2 API.
 * <p>Created by George Reese: 10/3/12 9:33 AM</p>
 * @author George Reese
 * @version 2012.04 initial version
 * @since 2012.04
 */
public class NovaEC2NetworkServices extends AbstractNetworkServices {
    private NovaEC2 provider;

    public NovaEC2NetworkServices(NovaEC2 provider)  { this.provider = provider; }

    @Override
    public @Nonnull SecurityGroup getFirewallSupport() {
        return new SecurityGroup(provider);
    }

    @Override
    public @Nonnull ElasticIP getIpAddressSupport() {
        return new ElasticIP(provider);
    }
}
